Bug 135492 - kickstart using usb disk for install media causes anaconda to die
kickstart using usb disk for install media causes anaconda to die
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-12 21:01 EDT by greg hosler
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 14:41:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda dump file (42.72 KB, text/plain)
2004-10-12 21:03 EDT, greg hosler
no flags Details
syslog from anaconda (8.58 KB, text/plain)
2004-10-12 21:03 EDT, greg hosler
no flags Details
kickstatr file (3.83 KB, text/plain)
2004-10-12 21:05 EDT, greg hosler
no flags Details

  None (edit)
Description greg hosler 2004-10-12 21:01:54 EDT
Description of problem:

Attempt kickstart off disk, with USB disk as the source media, IDE
disk as target install. USB disk has RHEL3 Update 3 both in iso
format, as well as expanded directory layout in the target directory
of the partition. Kickstart file on floppy. Boot off a RHEL3 Update 3
boot.iso, with usb disk plugged in. installer sees usb, and loads
usb-storage module. goes to start X. but instead gives a fatal dump
screen, saying "this is probably a bug". anaconda.txt dump, syslog,
and ks.cfg files are attached.

Version-Release number of selected component (if applicable):

RHEL 3, Update 3

How reproducible:

Every single time.

Steps to Reproduce:
1. Burn RHEL3.3 boot.iso
2. get a usb disk, partition it, and copy RHEL3 to a partition, as per
normal.
3. copy attached ks.cfg file to msdos floppy.
4. boot boot.iso with command "linux ks=floppy"
5. sit back, relax, and observe kernel loading, usb-storage modukle
loading, and instead of X starting for install, an anaconda crash dump
will come up!

Actual results:

unable to kick-start install off usb disk.

Expected results:

able to kick start install using usb hard drive.

Additional info:

note: normal install using usb hard drive works just fine.
Comment 1 greg hosler 2004-10-12 21:03:14 EDT
Created attachment 105105 [details]
anaconda dump file
Comment 2 greg hosler 2004-10-12 21:03:59 EDT
Created attachment 105106 [details]
syslog from anaconda
Comment 3 greg hosler 2004-10-12 21:05:09 EDT
Created attachment 105107 [details]
kickstatr file

note: you will likely have to change the path to match the RHEL3 location in
the partition that you create on YOUR usb hard disk!
Comment 4 Jeremy Katz 2004-10-12 21:35:59 EDT
Backported fix from HEAD to rhel3 branch.
Comment 5 greg hosler 2004-10-13 08:44:27 EDT
what does that mean to me, if I wish to kickstart machines with a USB
disk ? (e.g. I looked in rawhide, but the RHEL binaries aren't (and
I'm pretty sure, won't, be :) there!

I'm an RHCX, and I need to rebuild server1 machines on a fairly
regular basis!

I'd be appreciative of any suggestions as to how I might achieve this.
It looks like I just need a new 'loader' put that into the initrd, and
then make a new boot.iso, or a bootdisk.img, yes ?

(if yes, might I know, please, how might I generate a new 'loader' and
a new boot.iso ? :)

thanks, and best rgds,

-Greg Hosler
Comment 6 Jeremy Katz 2006-04-24 14:41:39 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.